Summary: The Linux kernel (the core of the Linux operating system).
Summary(de): Der Linux-Kernel (Kern des Linux-Betriebssystems).
Summary(fr): Le Kernel-Linux (La partie centrale du systeme)
Name: kernel
%define acversion ac6
%define srcversion 2.2.9
%define kversion 2.2.9
%define pcmciaver 3.0.13
%define ibcsver 2.1-981105
Version: %{kversion}
Release: 28
%define KVERREL %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
Copyright: GPL
Group: System Environment/Kernel
ExclusiveArch: i386 i486 i586 i686
ExclusiveOS: Linux
Obsoletes: kernel-modules, kernel-sparc

Source0: ftp://ftp.kernel.org/pub/linux/kernel/v2.2/linux-%{srcversion}.tar.bz2
Source1: ftp://hyper.stanford.edu/pub/pcmcia/NEW/pcmcia-cs.11-Jun-99.tar.bz2
Source2: ftp://tsx-11.mit.edu/pub/linux/BETA/ibcs2/ibcs-%{ibcsver}.tar.bz2
Source3: linux-2.2.4-DAC960.tar.bz2

Source10: pcmcia-cs-2.8.8-network.script
Source11: module-info
Source12: installkernel
Source13: rhkmvtag.c
Source14: kernel-2.2-BuildASM.sh

Source20: kernel-2.2-i386.config
Source21: kernel-2.2-i386-smp.config

# Patches 1 to 9 are reserved for kernel version updates and -ac patches
Patch1: patch-2.2.9-%{acversion}.bz2

# Isdn
Patch10: linux-2.2.9-ISDN.diff.bz2

# Pentium III
Patch11: kernel-2.2.7-ac3-pentium3.diff.bz2

# Support reading old sessions on multisession-CDs
Patch12: 2.2.9-multisession.patch.bz2

# Adaptec driver updates
Patch14: aic7xxx-5.1.13-5.1.17.patch.bz2

# IDE driver
Patch15: 2.2.9.uniform-ide-6.19.hotel.patch.bz2

# Security bugfix
Patch16: linux-2.2.9-security.patch.bz2

# Patch ac1 contains a warning of the ISDN drivers that's no longer valid
# for our ISDN version. Get rid of it...
Patch18: linux-2.2.9ac1-ISDN-nowarn.patch.bz2

# FAT bugfixes
Patch19: fat-patch-20.bz2

# RH stuff (and RH stuff fixed by us ;) )
Patch20: ibcs-2.1-rh.patch.bz2
Patch21: pcmcia-cs-%{pcmciaver}-script.patch.bz2
Patch22: linux-2.2.9-ac5-DAC960.patch.bz2

# Added features...
Patch30: patch-pcsp-soundcore-2.2.5.bz2
Patch35: e2compr-0.4.31-patch-2.2.9-ac5.bz2

Patch150: linux-2.2.6ac3-compile.patch.bz2

BuildRoot: /var/tmp/kernel-%{KVERREL}-root
Provides: module-info
Autoreqprov: no
Requires: initscripts >= 3.64

%package source
Requires: kernel-headers = %{kversion}-%{release}
Summary: The source code for the Linux kernel.
Group: Development/System

%package headers
Summary: Header files for the Linux kernel.
Group: Development/System

%package doc
Summary: Various documentation bits found in the kernel source.
Group: Documentation

%package pcmcia-cs
Summary: The daemon and device drivers for using PCMCIA adapters.
Group: System Environment/Kernel
Obsoletes: pcmcia-cs

%package ibcs
Obsoletes: iBCS
Summary: Files which allow iBCS2 programs to run.
Group: System Environment/Kernel

%description
The kernel package contains the Linux kernel (vmlinuz), the core of your
Red Hat Linux operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.

%description -l fr
Le package kernel contient le kernel linux (vmlinuz), la partie centrale d'un
systme d'exploitation Linux. Le noyau traite les fonctions basiques d'un
systme d'exploitation: allocation mmoire, allocation de process,
entre/sortie de peripheriques, etc.

%description -l de
Das Kernel-Paket enthlt den Linux-Kernel (vmlinuz), den Kern des
Linux-Betriebssystems. Der Kernel ist fr grundliegende Systemfunktionen
verantwortlich: Speicherreservierung, Proze-Management, Gerte Ein- und
Ausgaben, usw.


%description source
The kernel-source package contains the source code files for the Linux
kernel. These source files are needed to build most C programs, since
they depend on the constants defined in the source code. The source
files can also be used to build a custom kernel that is better tuned to
your particular hardware, if you are so inclined (and you know what you're
doing).

%description -l fr source
Le package pour le kernel-source contient le code source pour le noyau linux.
Ces sources sont ncessaires pour compiler la plupart des programmes C, car il
dpend de constantes dfinies dans le code source. Les sources peuvent tre
aussi utilise pour compiler un noyau personnalis pour avoir de meilleures
performances sur des matriels particuliers. 

%description -l de source
Das Kernel-Source-Paket enthlt den source code (C/Assembler-Code) des
Linux-Kernels. Die Source-Dateien werden gebraucht, um viele C-Programme zu
compilieren, da sie auf Konstanten zurckgreifen, die im Kernel-Source
definiert sind. Die Source-Dateien knnen auch benutzt werden, um einen
Kernel zu compilieren, der besser auf Ihre Hardware ausgerichtet ist.

%description headers
Kernel-headers includes the C header files for the Linux kernel.  The
header files define structures and constants that are needed for building
most standard programs.  The header files are also needed for rebuilding
the kernel.

%description -l fr headers
Kernel-Header inclut les fichiers headers du noyau Linux. Les headers
dfinissent les structures et constantes ncessaires pour compiler la
plupart des programmes standards. Les fichiers headers sont aussi
ncessaires pour pouvoir recompiler le kernel.

%description -l de headers
Kernel-headers enthlt C Header-Dateien fr den Linux-Kernel. Die
Header-Dateien definieren Strukturen und Konstanten, die gebraucht werden,
um Standard-Programme zu compilieren. Die Header-Dateien werden auch
gebraucht, um den Kernel neu zu compilieren.

%description doc
This package contains documentation files form the kernel source. Various
bits of information about the Linux kernel and the device drivers shipped
with it are documented in these files. You also might want install this
package if you need a reference to the options that can be passed to Linux
kernel modules at load time.

%description -l fr doc
Ce package contient les fichiers de documentation inclus dans les
sources du kernel. Diffrentes informations  propos du noyau Linux et
des drivers de priphriques sont documents dans ces fichiers. Vous
pouvez aussi installer ce package si vous dsirez avoir une
rfrence des options qui peuvent tres passes lors du chargement des module du
noyau.

%description -l de doc
Dieses Pakent enthlt Dokumentationsdateien aus dem Kernel-Source. Sie
enthalten Informationen ber den Linux-Kernel und Gertetreiber. Sie sollten
es auch installieren, wenn Sie wissen mssen, welche Optionen Kernel-Modulen
beim Laden bergeben werden knnen.

%description pcmcia-cs
Many laptop machines (and some non-laptops) support PCMCIA cards for
expansion. Also known as "credit card adapters," PCMCIA cards are small
cards for everything from SCSI support to modems. PCMCIA cards are hot
swappable (i.e., they can be exchanged without rebooting the system) and
quite convenient to use. The kernel-pcmcia-cs package contains a set of
loadable kernel modules that implement an applications program interface,
a set of client drivers for specific cards and a card manager daemon that
can respond to card insertion and removal events by loading and unloading
drivers on demand.  The daemon also supports hot swapping, so that the
cards can be safely inserted and ejected at any time.

Install the kernel-pcmcia-cs package if your system uses PCMCIA cards.

%description -l fr pcmcia-cs
Un grand nombre de portable (et certains non-portable) supportent les
cartes PCMCIA comme carte d'extension. Connue aussi sous le nom de
"adapteurs de carte de crdit" les cartes PCMCIA sont petites et
compactes et peuvent supporter du SCSI au modem. Les cartes PCMCIA sont
interchangeables a chaud (ex: il et possible de les changer sans avoir
besoin de redmarrer le systme), et commode a utilisez. Le
kernel-pcmcia-cs package contient un jeu de modules chargeable qui
implmentent un drivers pour les carte spcifiques et un daemon de
gestionnaire de carte qui peut rpondre quand une carte et insre ou
retire en chargeant ou dchargeant les drivers a la demande. Le daemon
supporte aussi l'interchangement a chaude, ce qui veut dire que les
cartes peuvent tre avec certitude insres ou retires  n'importe quel
moment.

Installez le package kernel-pcmcia-cs si votre systme dispose de carte
PCMCIA.

%description -l de pcmcia-cs
Viele Laptops (und einige nicht-Laptops) untersttzen
PCMCIA-Erweiterungskarten. PCMCIA-Karten sind kleine Karten fr alles von
SCSI-Untersttzung bis zu Modems. PCMCIA-Karten sind hot-swappable (d.h. sie
knnen ausgetauscht werden, ohne das System neu zu starten) und ziemlich
bequem zu benutzen. Das Kernel-pcmcia-cs-Paket enthlt Kernel-Module, die
ein PCMCIA-API definieren, Treiber fr spezielle Karten, und einen
Card-Manager-Daemon, der auf Einlegen/Entfernen von PCMCIA-Karten durch
laden/entladen der entsprechenden Module reagiert. Der Daemon untersttzt
hot-swapping - Karten knnen immer eingesteckt oder entfernt werden.

Installieren Sie das kernel-pcmcia-cs-Paket, wenn Ihr System PCMCIA-Karten
benutzt.

%description ibcs
This package allows you to run programs in the iBCS2 (Intel Binary
Compatibility Standard, version 2) and related executable formats. 
iBCS is a standard for binary portability between UNIX and UNIX-like
systems.

%description -l fr ibcs
Ce package permet de lancer les programmes iBCS2 (Intel Binary
Compatibility Standard, version 2) et ses format drivs. iBCS et un
standard pour la transportabilit des binaires entre les systmes UNIX
et drivs.

%description -l de ibcs
Dieses Paket erlaubt es, Programme im iBCS2 (Intel Binary Compatibility
Standard, version 2)-Format und hnlichen Formaten (SCO, ...) auszufhren.
iBCS ist ein Standard zum Binary-Austausch zwischen Unix und Unix-hnlichen
Systemen.

%package smp
Summary: Kernel version %{version} compiled for SMP machines.
Summary(de): Kernel version %{version} fr Multiprozessor-Maschinen.
Summary(fr): Kernel version %{version} compiler pour les machine Multi-Processeur.
Group: System Environment/Kernel

%description smp
This package includes a SMP version of the Linux %{version} kernel. It is
required only on machines with two or more CPUs, although it should work
fine on single-CPU boxes.

%description -l fr smp
Ce package inclu une version SMP du noyau de Linux version
%{version}. Il et ncessaire seulement pour les machine avec deux
processeurs ou plus, il peut quand mme fonctionner pour les systme
mono-processeur.

%description -l de smp
Dieses Paket enthlt eine SMP (Multiprozessor)-Version von Linux-Kernel
%{version}. Es wird fr Maschinen mit zwei oder mehr Prozessoren gebraucht,
sollte aber auch auf Computern mit nur einer CPU laufen.

%prep
%setup -q -n linux -a 1 -a 2 # -b 3

# ac patches
%patch1 -p1

# ISDN updates
%patch10 -p1

# Pentium III detection
%patch11 -p1

# Multisession CD support (mount -o session=<n> -tiso9660 /dev/cdrom /mnt/cdrom)
%patch12 -p1

# Adaptec driver updates
%patch14 -p1

# IDE
%patch15 -p1

# Sticky bit mkdir security bug
%patch16 -p1

# ISDN warning
%patch18 -p0

# FAT bugfixes...
%patch19 -p1

# DAC960 driver
%patch22 -p1

# PC-Speaker driver
%patch30 -p1

# ext2fs compression support
# %patch35 -p1

# Fix compilation
%patch150 -p1

%patch20 -p0
%patch21 -p0
cp ibcs/CONFIG.i386 ibcs/CONFIG

# Bring in the Red Hat Kernel Module Version Tag program
cp $RPM_SOURCE_DIR/rhkmvtag.c .

###
### build
###

%build
BuildKernel() {
    # is this a special kernel we want to build?
    if [ -n "$1" ] ; then
	Config=$RPM_ARCH-$1
	KernelVer=%{version}-%{release}$1
	echo BUILDING A KERNEL FOR $1...
    else
	Config=$RPM_ARCH
	KernelVer=%{version}-%{release}
	echo BUILDING THE NORMAL KERNEL...
    fi
    cp $RPM_SOURCE_DIR/kernel-2.2-$Config.config arch/$RPM_ARCH/defconfig
    # make sure EXTRAVERSION says what we want it to say
    perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{release}$1/" Makefile
    perl -p -i -e "s/-m386//" arch/i386/Makefile
    #perl -p -i -e "s/-m486//" arch/i386/Makefile
    perl -p -i -e "s/^HOSTCFLAGS.*/HOSTCFLAGS = $RPM_OPT_FLAGS/" Makefile
    perl -p -i -e "s/^CFLAGS_NSR.*/CFLAGS_NSR := $RPM_OPT_FLAGS/" arch/i386/Makefile
    rm -f .config
    make mrproper
    ln -s arch/$RPM_ARCH/defconfig .config
    export CFLAGS="$RPM_OPT_FLAGS"
    export CXXFLAGS="$RPM_OPT_FLAGS"
    make oldconfig
    make dep 
    make include/linux/version.h 
    make -j2 bzImage
    make -j2 modules 
    mkdir -p $RPM_BUILD_ROOT/boot
    install -m 644 System.map $RPM_BUILD_ROOT/boot/System.map-$KernelVer
    cp arch/i386/boot/bzImage $RPM_BUILD_ROOT/boot/vmlinuz-$KernelVer
    mkdir -p $RPM_BUILD_ROOT/lib/modules/$KernelVer/{block,cdrom,fs,ipv4,misc,net,scsi}
    make INSTALL_MOD_PATH=$RPM_BUILD_ROOT modules_install KERNELRELEASE=$KernelVer
    #Identify the modules directory with the Red Hat Kernel Module Version Tag
    cc -o rhkmvtag rhkmvtag.c init/version.o
    ./rhkmvtag > $RPM_BUILD_ROOT/lib/modules/$KernelVer/.rhkmvtag
    rm -f rhkmvtag
}

BuildiBCS() {
    if [ -z "$2" ] ; then
	echo "BUILDING FOR NORMAL KERNEL..."
    else
	echo "BUILDING FOR $2..."
    fi
    make -C ibcs/iBCSemul KERNEL=$RPM_BUILD_DIR/linux SMP=$1 all
    install -m644 ibcs/iBCSemul/iBCS \
	$RPM_BUILD_ROOT/lib/modules/%{KVERREL}$2/misc/iBCS.o
    make -j2 -C ibcs clean 
}

BuildPCMCIA() {
    if [ -z "$1" ] ; then
	echo "BUILDING FOR NORMAL KERNEL..."
    else
	echo "BUILDING FOR $1..."
    fi
    make -j2 -C pcmcia-cs-%{pcmciaver} config <<EOF
$RPM_BUILD_DIR/linux
$RPM_BUILD_ROOT
/lib/modules/%{KVERREL}$1
gcc
ld
$RPM_OPT_FLAGS
y
y
2
y
/etc/rc.d
EOF
    make -j2 -C pcmcia-cs-%{pcmciaver} all
    mkdir -p $RPM_BUILD_ROOT/lib/modules/%{KVERREL}$1/pcmcia
    make -C pcmcia-cs-%{pcmciaver} install
}

###
# DO it...
###

rm -rf $RPM_BUILD_ROOT

#SMP-ENABLED KERNEL
BuildKernel smp
#BuildiBCS yes smp

# NORMAL KERNEL
BuildKernel
BuildiBCS no
BuildPCMCIA

###
### install
###

%install
mkdir -p $RPM_BUILD_ROOT/usr/include
ln -sf ../src/linux/include/linux $RPM_BUILD_ROOT/usr/include/linux
ln -sf ../src/linux/include/asm $RPM_BUILD_ROOT/usr/include/asm

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion} 

mkdir -p $RPM_BUILD_ROOT/{boot,sbin}
install -m 755 $RPM_SOURCE_DIR/installkernel $RPM_BUILD_ROOT/sbin/installkernel
install -m 644 $RPM_SOURCE_DIR/module-info $RPM_BUILD_ROOT/boot/module-info-%{KVERREL}
mkdir -p $RPM_BUILD_ROOT/etc/pcmcia
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
# Install our own network up/down script
install -m755 $RPM_SOURCE_DIR/pcmcia-cs-2.8.8-network.script \
        $RPM_BUILD_ROOT/etc/pcmcia/network

# We need our own default /etc/sysconfig/pcmcia
cat > $RPM_BUILD_ROOT/etc/sysconfig/pcmcia <<EOF
PCMCIA=no
PCIC=
PCIC_OPTS=
CORE_OPTS=
EOF

# Finally strip some binaries
for file in cardmgr cardctl probe scsi_info ftl_format ftl_check ; do
    strip $RPM_BUILD_ROOT/sbin/$file
done

# iBCS stuff
mkdir -p $RPM_BUILD_ROOT/usr/man/man9
install -m 644 ibcs/Doc/iBCS.9 $RPM_BUILD_ROOT/usr/man/man9

mkdir -p $RPM_BUILD_ROOT/dev/inet
install -m755 ibcs/MAKEDEV.ibcs $RPM_BUILD_ROOT/dev/MAKEDEV.ibcs
pushd $RPM_BUILD_ROOT ; {
  mknod ./dev/socksys c 30 0
  ln -s socksys ./dev/nfsd
  ln -s null ./dev/X0R
  mknod ./dev/spx c 30 1
  mknod ./dev/inet/ip c 30 32
  mknod ./dev/inet/icmp c 30 33
  mknod ./dev/inet/ggp c 30 34
  mknod ./dev/inet/ipip c 30 35
  mknod ./dev/inet/tcp c 30 36
  mknod ./dev/inet/egp c 30 37
  mknod ./dev/inet/pup c 30 38
  mknod ./dev/inet/udp c 30 39
  mknod ./dev/inet/idp c 30 40
  mknod ./dev/inet/rawip c 30 41
  ln -s udp ./dev/inet/arp
  ln -s udp ./dev/inet/rip
  cd ./dev/inet
  for i in *; do
    ln -s inet/$i ../$i
  done
} ; popd

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
tar cf - . | tar xf - -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
ln -sf linux-%{kversion} $RPM_BUILD_ROOT/usr/src/linux
# make sure EXTRAVERSION says what we want it to say (in source)
perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{release}/" $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/Makefile
# use the standard i386 config in source
cp %SOURCE20 $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/.config
cp %SOURCE20 $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/arch/i386/defconfig


#clean up the destination
make clean -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/pcmcia-cs-%{pcmciaver}
make -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/ibcs clean
bzip2 $RPM_BUILD_ROOT/usr/man/man9/iBCS.9

make mrproper -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make oldconfig -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make symlinks -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make include/linux/version.h -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}

#this generates modversions info which we want to include and we may as
#well include the depends stuff as well, after we fix the paths
make depend -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
find $RPM_BUILD_ROOT/usr/src/linux-%{kversion} -name ".*depend" | \
while read file ; do
    mv $file $file.old
    sed -e "s|[^ ]*\(/usr/src/linux\)|\1|g" < $file.old > $file
    rm -f $file.old
done

bzip2 -9f $RPM_BUILD_ROOT/usr/man/*/*

###
### clean
###

%clean
# rm -rf $RPM_BUILD_ROOT

###
### scripts
###

# do this for upgrades...in case the old modules get removed we have
# loopback in the kernel so that mkinitrd will work.
%pre
/sbin/modprobe loop 2> /dev/null > /dev/null
exit 0

%post
cd /boot
ln -sf vmlinuz-%{KVERREL} vmlinuz
ln -sf System.map-%{KVERREL}  System.map
ln -sf module-info-%{KVERREL}  module-info

%ifarch i386 i486 i586 i686
if [ -x /sbin/lilo -a -f /etc/lilo.conf ]; then
	/sbin/lilo > /dev/null
fi
%endif

%post headers
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux

%post source
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux

%postun headers
if [ -L /usr/src/linux ]; then 
    if [ `ls -l /usr/src/linux | awk '{ print $11 }'` = "linux-%{kversion}" ]; then
	[ $1 = 0 ] && rm -f /usr/src/linux
    fi
fi
exit 0

%postun source
if [ -L /usr/src/linux ]; then 
    if [ `ls -l /usr/src/linux | awk '{ print $11 }'` = "linux-%{kversion}" ]; then
	[ $1 = 0 ] && rm -f /usr/src/linux
    fi
fi
exit 0

%ifarch i386 i486 i586 i686
%post pcmcia-cs
/sbin/chkconfig --add pcmcia

%postun pcmcia-cs
if [ $1 = 0 ]; then
    /sbin/chkconfig --del pcmcia
fi
exit 0

%endif

###
### file lists
###

%files
/boot/vmlinuz-%{KVERREL}
/boot/System.map-%{KVERREL}
/boot/module-info-%{KVERREL}
/sbin/installkernel
%dir /lib/modules
%dir /lib/modules/%{KVERREL}
/lib/modules/%{KVERREL}/.rhkmvtag
/lib/modules/%{KVERREL}/block
/lib/modules/%{KVERREL}/cdrom
/lib/modules/%{KVERREL}/fs
/lib/modules/%{KVERREL}/ipv4
/lib/modules/%{KVERREL}/misc
/lib/modules/%{KVERREL}/net
/lib/modules/%{KVERREL}/scsi
/lib/modules/%{KVERREL}/video
/lib/modules/%{KVERREL}/pcmcia

%files source
/usr/src/linux-%{kversion}/COPYING
/usr/src/linux-%{kversion}/CREDITS
/usr/src/linux-%{kversion}/Documentation
/usr/src/linux-%{kversion}/MAINTAINERS
/usr/src/linux-%{kversion}/Makefile
/usr/src/linux-%{kversion}/README
/usr/src/linux-%{kversion}/Rules.make
/usr/src/linux-%{kversion}/arch/%{_target_cpu}
/usr/src/linux-%{kversion}/drivers
/usr/src/linux-%{kversion}/fs
/usr/src/linux-%{kversion}/init
/usr/src/linux-%{kversion}/ipc
/usr/src/linux-%{kversion}/kernel
/usr/src/linux-%{kversion}/lib
/usr/src/linux-%{kversion}/mm
/usr/src/linux-%{kversion}/modules
/usr/src/linux-%{kversion}/net
/usr/src/linux-%{kversion}/scripts
/usr/src/linux-%{kversion}/ibcs
/usr/src/linux-%{kversion}/pcmcia-cs-%{pcmciaver}

%files pcmcia-cs
%doc pcmcia-cs-%{pcmciaver}/doc/PCMCIA-HOWTO 
%doc pcmcia-cs-%{pcmciaver}/doc/PCMCIA-PROG
%doc pcmcia-cs-%{pcmciaver}/SUPPORTED.CARDS 
%doc pcmcia-cs-%{pcmciaver}/CHANGES 
%doc pcmcia-cs-%{pcmciaver}/COPYING 
%doc pcmcia-cs-%{pcmciaver}/README
/sbin/dump_cis
/sbin/pack_cis
/sbin/cardctl
/sbin/cardmgr
/sbin/ftl_check
/sbin/ftl_format
/sbin/ifport
/sbin/ifuser
/sbin/pcinitrd
/sbin/probe
/sbin/scsi_info
/sbin/ide_info
/usr/man/*/*
%config /etc/rc.d/init.d/pcmcia
%config /etc/sysconfig/pcmcia
%dir /etc/pcmcia
/etc/pcmcia/cdrom
/etc/pcmcia/config
/etc/pcmcia/ftl
/etc/pcmcia/ide
/etc/pcmcia/memory
/etc/pcmcia/network
/etc/pcmcia/scsi
/etc/pcmcia/serial
/etc/pcmcia/shared
/etc/pcmcia/cis
%config /etc/pcmcia/config.opts
%config /etc/pcmcia/cdrom.opts
%config /etc/pcmcia/ftl.opts
%config /etc/pcmcia/ide.opts
%config /etc/pcmcia/memory.opts
%config /etc/pcmcia/scsi.opts
%config /etc/pcmcia/serial.opts

%files headers
%dir /usr/src/linux-%{kversion}
/usr/src/linux-%{kversion}/include/asm
/usr/src/linux-%{kversion}/include/asm-i386
/usr/src/linux-%{kversion}/include/asm-generic
/usr/src/linux-%{kversion}/include/linux
/usr/src/linux-%{kversion}/include/net
/usr/src/linux-%{kversion}/include/scsi
/usr/src/linux-%{kversion}/include/video
/usr/include/asm
/usr/include/linux

%files smp
/boot/vmlinuz-%{KVERREL}smp
/boot/System.map-%{KVERREL}smp
/sbin/installkernel
%dir /lib/modules
%dir /lib/modules/%{KVERREL}smp
/lib/modules/%{KVERREL}smp/.rhkmvtag
/lib/modules/%{KVERREL}smp/block
/lib/modules/%{KVERREL}smp/cdrom
/lib/modules/%{KVERREL}smp/fs
/lib/modules/%{KVERREL}smp/ipv4
/lib/modules/%{KVERREL}smp/misc
/lib/modules/%{KVERREL}smp/net
/lib/modules/%{KVERREL}smp/scsi
/lib/modules/%{KVERREL}smp/video

%files doc
%doc Documentation/*

%files ibcs
%defattr(-,root,root)
%doc ibcs/{README,RELEASE,CREDITS,Doc}
/usr/man/man9/iBCS.9.bz2
/dev/MAKEDEV.ibcs
/dev/inet
/dev/socksys
/dev/nfsd
/dev/X0R
/dev/spx
/dev/arp
/dev/egp
/dev/ggp
/dev/icmp
/dev/idp
/dev/ip
/dev/ipip
/dev/pup
/dev/rawip
/dev/rip
/dev/tcp
/dev/udp

%changelog
* Sat Jun 12 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.2.9-ac6 (why do they always release new base versions a few minutes
  after I've finished building the RPM??? ;) )

* Sat Jun 12 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.2.9-ac5
- aic7xxx 5.1.17
- rewrite patches (DAC960, FAT, e2compr) to work with ac5
- smb fix for ac5

* Tue Jun  8 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Disable SMB W95 bug workaround (causes problems with W98/NT/2000)

* Tue Jun  8 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- include FAT bugfix patch

* Mon Jun  7 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Updated to 2.2.9-ac4
- Updated PCMCIA to 3.0.12

* Wed Jun  2 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Updated PCMCIA to 3.0.11
- permit architectures i[456]86
- some -ac1 adaptions
- adapt RH's DAC960 patch to work with 2.2.9-ac1
- update AIC7xxx driver to 5.1.16
- add dump_cis, pack_cis and ide_info to pcmcia-cs package

* Tue Jun  1 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Updated to 2.2.9-ac1
- Added DoS patch from Alan Cox

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- source 2.2.9; remove patches (smaller SRPM for final...)
- Multisession patch
- TCP/IP speedup patch
- Use normal version for kernel-source package - the -smpfb looks too odd.
- enable USB

* Mon May 17 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- update IDE drivers
- fix security bug

* Mon May 17 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.2.9
- (hopefully) fix out of memory problem

* Wed May 12 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Fixes to BOOT kernel

* Mon May 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.2.7-ac4
- Get rid of the annoying /overlay messages

* Sun May 09 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.2.7-ac3
- add kNFSd patches from knfsd-1.3
- add Pentium III detection (new patch)

* Sat May 08 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- remove math emulation support from BOOT kernel - no space...
- Optimize CFLAGS for boot kernel even more for diskspace...
- misc. spec bugfixes
- new linux_logo.h from Gael

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- move FB stuff to separate kernel
- back out isofs changes from 2.2.7-ac2 - they're broken.
- remove -ac* from EXTRAVERSION (required by installer)

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.2.7-ac2

* Mon May 03 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Chmouel's translation correction, not yet finished(lot of work)

* Fri Apr 30 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Build BOOT kernel optimized for size rather than speed.

* Fri Apr 30 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.2.7-ac1
- Fix RPM_OPT_FLAGS bug in pcmcia
- fix compilation for 3c507/SMP

* Tue Apr 29 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- 2.2.6-ac2
- Fix RH 386 bug
- base kernel 2.2.5

* Sun Apr 18 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Update to 2.2.6-ac1
- adapt config files accordingly
- bzip2 iBCS manpage
- update ISDN patches

* Thu Apr  8 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Update to 2.2.5-ac6

* Thu Apr  8 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Update to 2.2.5-ac5
- Add PC-Speaker support
- Add ext2 compression support (not compiled in by default, but users
  familiar enough to recompile a kernel should have the option...)

* Thu Apr  1 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Update to 2.2.5-ac2

* Mon Mar 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 2.2.5-ac1.
- Change the release to be Mandrake compliant.
- Add french translation.
- Add the ISDN patch from Bero.
- Add deutch translation from Bero.
- Add the Optimization stuff from Bero.
- Fixed some bad dependences with the kernel-source package.

* Mon Mar 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Update to 2.2.3-ac4

* Wed Mar 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Update to 2.2.3-ac2
- Revampirize of the spec files to be ''Ac Compatible''

* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
- version 2.2.3
- make the /usr/src/linux-VER dir owned by kernel-headers instead of
  kernel-source

* Wed Mar 10 1999 Cristian Gafton <gafton@redhat.com>
- update to 2.2.2-ac7
- add config files for i686

* Wed Feb 24 1999 Cristian Gafton <gafton@redhat.com>
- merged in sparc64 changes
- update to 2.2.2
- fix the uname problems in different shapes of kernel being generated
- create a documentation package

* Thu Feb 11 1999 Cristian Gafton <gafton@redhat.com>
- version 2.2.1 w/ ac5
- build the boot kernel for the bootdisks

* Wed Jan 27 1999 Cristian Gafton <gafton@redhat.com>
- ver 2.2.0 final w/ ac1
- move the pcmcia modules to the main kernel package
- also build smp version of the kernel
- enable apm in the kernel by default

* Tue Jan 19 1999 Cristian Gafton <gafton@redhat.com>
- update to 2.2.0 pre 8 w/ ac1

* Sun Dec 27 1998 Mike Wangsmo <wanger@redhat.com>
- put in 133ac3
- fixed PCMCIA to use GET_USE_COUNT instead of module->usecount

* Mon Dec 21 1998 Cristian Gafton <gafton@redhat.com>
- remove the jensen and srm-jensen subpackages, as those should be handled
  by the generic kernel instead.
- use 131ac13
- upgradede to 2.1.131
- removed /usr/include/scsi from kernel-headers

* Mon Nov 23 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.1.129 ac3
- pcmcia-cs 3.0.6
- XXX: disabled the DEPCS, EWRK3 support, as it does not build yet

* Tue Sep 29 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.1.123
- builds jansen and jensen-srm subpackages on alpha

* Thu Aug 13 1998 Cristian Gafton <gafton@redhat.com>
- build of 2.1.115, based on the previous spec from 2.0.35
- build like almost any other package, not dircetly in the buildroot
- sed the buildroot dir out of the .depend files

